
QGIS Application - Bug report #5285

NoData value should not be considered when classifying a raster

2012-04-02 11:24 PM - mattwigway .

Status: Closed

Priority: Normal

Assignee:

Category: Rasters

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:No Copied to github as #: 15005

Description

When classifying a raster or when calculating min and max, the NoData value (on the transparency tab) should be ignored. For instance, I

have a raster that has values between -30 and 130 as well as NoData values of -32768. Min, max and the classifier stretch the raster all

the way to -32768.

History

#1 - 2012-04-03 08:28 AM - Giovanni Manghi

- Status changed from Open to Feedback

probably duplicate of #1380. Please check and confirm.

#2 - 2012-04-03 10:42 AM - mattwigway .

You're right, sorry 'bout that. I evidently don't have permission to close it, can someone go ahead and do that?

#3 - 2012-04-03 10:44 AM - Paolo Cavallini

- Resolution set to duplicate

- Status changed from Feedback to Closed
